server {
    listen 80;
    server_name 192.168.20.56;
    root   /usr/share/nginx/html;
    index  index.html index.htm;
    
    # 3.8 以后必须开启压缩
    gzip on;
    gzip_static on;
    gzip_min_length 1k;
    gzip_comp_level 4;
    gzip_proxied any;
    gzip_types text/plain text/xml text/css;
    gzip_vary on;
    gzip_disable "MSIE [1-6]\.(?!.*SV1)";
    location ~* ^/(actuator|code|auth|admin|gen|daemon|tx|act|monitor|mp|job|pay|inventory) {
       proxy_pass http://192.168.20.56:9999;
       #proxy_set_header Host $http_host;
       proxy_connect_timeout 15s;
       proxy_send_timeout 15s;
       proxy_read_timeout 15s;
       proxy_set_header X-Real-IP $remote_addr;
       proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    }
}